Update custom font
Update the metadata of a custom font. The font binary is not changed by this endpoint. To replace the binary, use Replace custom font file.
The request body must include at least one of fontFamily, weight, italic, or fontDisplay.
Required scope | sites:write
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
site_id
Unique identifier for a Site
font_id
Unique identifier for a custom font on a site
Request
Metadata fields to update. At least one field is required.
fontFamily
The CSS font-family name (1-256 characters)
weight
CSS font-weight value (1-1000)
italic
Whether the font is italic
fontDisplay
CSS font-display value
Allowed values:
Response
Request was successful
customFont
A custom font uploaded to a Webflow site
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error